curl --request GET \
--url https://api.fintoc.com/v1/invoices \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/invoices"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/invoices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/invoices")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "inv_9qXbVNDzgrXyq2Oa",
"object": "invoice",
"currency": "CLP",
"date": "2021-05-12T00:00:00.000Z",
"institution_id": "cl_fiscal_sii",
"institution_invoice": {
"accepted_at": "2021-05-13T11:23:09.000Z",
"common_use_vat": 0,
"confirmation_status": "A",
"construction_company_credit": 0,
"container_deposit_guarantee": 0,
"document_type": 33,
"domestic_ticket_sales": 0,
"exempt_amount": 0,
"exempt_commissions": 0,
"fixed_assets_net_amount": 0,
"fixed_assets_vat_amount": 0,
"free_zone_tax": 0,
"has_note": false,
"international_ticket_sales": 0,
"invoice_status": "registered",
"is_services_invoice": false,
"net_commissions": 0,
"non_credit_tax_amount": 0,
"non_refundable_vat_amount": 0,
"non_refundable_vat_code": 0,
"non_withheld_vat": 0,
"other_taxes": {},
"out_of_time_vat": 0,
"own_vat": 0,
"partial_vat_withheld": 0,
"receipt_reference_number": null,
"received_at": "2021-05-12T09:31:02.000Z",
"reference_number": "1044",
"reference_type_code": 33,
"rejected_at": null,
"services_invoice": null,
"settlement_issuer_id": "55555555-5",
"third_party_vat": 0,
"tobacco": {},
"total_documents": null,
"total_vat_withheld": 0,
"transaction_category": "Del Giro",
"vat_amount": 19000,
"vat_commissions": 0
},
"issue_type": "received",
"issuer": {
"id": "55555555-5",
"name": "Proveedor Test SpA"
},
"net_amount": 100000,
"number": "2611",
"receiver": null,
"tax_period": "05/2021",
"total_amount": 119000
}
]List invoices
Returns a paginated list of the invoices of the fiscal link associated with the link_token, sorted by descending document date. For links created with the invoices product, Fintoc returns every document the fiscal authority reports. For links created with the income product, Fintoc returns only the fee receipts for professional services the account holder issued.
curl --request GET \
--url https://api.fintoc.com/v1/invoices \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/invoices"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/invoices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/invoices")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "inv_9qXbVNDzgrXyq2Oa",
"object": "invoice",
"currency": "CLP",
"date": "2021-05-12T00:00:00.000Z",
"institution_id": "cl_fiscal_sii",
"institution_invoice": {
"accepted_at": "2021-05-13T11:23:09.000Z",
"common_use_vat": 0,
"confirmation_status": "A",
"construction_company_credit": 0,
"container_deposit_guarantee": 0,
"document_type": 33,
"domestic_ticket_sales": 0,
"exempt_amount": 0,
"exempt_commissions": 0,
"fixed_assets_net_amount": 0,
"fixed_assets_vat_amount": 0,
"free_zone_tax": 0,
"has_note": false,
"international_ticket_sales": 0,
"invoice_status": "registered",
"is_services_invoice": false,
"net_commissions": 0,
"non_credit_tax_amount": 0,
"non_refundable_vat_amount": 0,
"non_refundable_vat_code": 0,
"non_withheld_vat": 0,
"other_taxes": {},
"out_of_time_vat": 0,
"own_vat": 0,
"partial_vat_withheld": 0,
"receipt_reference_number": null,
"received_at": "2021-05-12T09:31:02.000Z",
"reference_number": "1044",
"reference_type_code": 33,
"rejected_at": null,
"services_invoice": null,
"settlement_issuer_id": "55555555-5",
"third_party_vat": 0,
"tobacco": {},
"total_documents": null,
"total_vat_withheld": 0,
"transaction_category": "Del Giro",
"vat_amount": 19000,
"vat_commissions": 0
},
"issue_type": "received",
"issuer": {
"id": "55555555-5",
"name": "Proveedor Test SpA"
},
"net_amount": 100000,
"number": "2611",
"receiver": null,
"tax_period": "05/2021",
"total_amount": 119000
}
]Query Parameters
ISO 8601 datetime. If present, Fintoc returns invoices updated on or after the earlier of this value and the last successful invoices refresh timestamp. If the account has not been refreshed yet, this filter does not narrow the result set.
"2021-01-01T00:00:00.000Z"
Response
Paginated list of invoices, sorted by descending document date. The Link and X-Total-Count headers carry the pagination information.
Was this page helpful?